# Overview

The Screendesk API is REST-based and uses standard HTTP verbs and status codes. The API accepts [form-encoded](https://developer.mozilla.org/en-US/docs/Web/HTTP/Methods/POST) request bodies and returns JSON-encoded responses. All requests should be made over SSL.

If you have any question, please contact the [Screendesk support](mailto:support@screendesk.io).&#x20;

## API Endpoint

The base URL to access the Screendesk API is `https://app.screendesk.io`.&#x20;

For example, to access the *recordings* endpoint, just add the endpoint to the base URL: `https://app.screendesk.io/api/v1/recordings`.

## API Reference

<table data-column-title-hidden data-view="cards"><thead><tr><th></th><th></th><th></th><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><a href="/pages/nKXquGZvU5hdORIGtFSx">API Reference</a></td><td>Learn more about the endpoints you can use from the Screendesk API.</td><td></td><td></td><td><a href="/pages/nKXquGZvU5hdORIGtFSx">/pages/nKXquGZvU5hdORIGtFSx</a></td></tr></tbody></table>

## Authentication

<table data-view="cards"><thead><tr><th></th><th></th><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><a href="/pages/kHZyhdx8gFUh2pFef4zw">Authentication</a></td><td>Create an API access token and authenticate your API requests.</td><td></td><td><a href="/pages/kHZyhdx8gFUh2pFef4zw">/pages/kHZyhdx8gFUh2pFef4zw</a></td></tr></tbody></table>

## Errors

<table data-view="cards"><thead><tr><th></th><th></th><th></th></tr></thead><tbody><tr><td><a href="/pages/SyQCz3OIdOJ1zvI2nHHZ">Errors</a></td><td>Learn about API errors.</td><td></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.screendesk.io/api/screendesk-api/overview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
